ext {

    version = [
            applicationId: "com.hw.great",
            versionCode  : 1,
            versionName  : "1.0.1"
    ]

    android = [
            compileSdkVersion: 29,
            buildToolsVersion: "30.0.0",
            minSdkVersion    : 21,
            targetSdkVersion : 29,
    ]
    defaultConfig = [

    ]

    release = [
            "apiHost"      : '""',
            "apiName"      : '""',
            "fileApiHost"      : '""',
            "fileApiName"      : '""',

            // 高德地图
            "AMAP_API_KEY" : "565ad55bec6d286e33a95a9ff1911b55",

    ]

    //里面的key值有问题
    debug = [
            "apiHost"      : '"https://greatadmin.dev.gztjy.top"',
            "apiName"      : '"serviceapi"',
            "fileApiHost"      : '"https://fileupload.hw.hongweisoft.com"',
            "fileApiName"      : '""',

            // 高德地图
            "AMAP_API_KEY" : "565ad55bec6d286e33a95a9ff1911b55",
    ]
    

    dependencies = [
            "recyclerview"              : 'androidx.recyclerview:recyclerview:1.0.0',
            "fastJson"                     : "com.alibaba:fastjson:1.2.8",
            "okhttp3"                      : "com.squareup.okhttp3:okhttp:3.10.0",
            "retrofit2"                    : "com.squareup.retrofit2:retrofit:2.2.0",
            "retrofit2:converter-scalars"  : "com.squareup.retrofit2:converter-scalars:2.2.0",
            "retrofit2:converter-gson"     : "com.squareup.retrofit2:converter-gson:2.2.0",
            "retrofit2:adapter-rxjava2"    : "com.squareup.retrofit2:adapter-rxjava2:2.2.0",
            "rxjava2"                      : "io.reactivex.rxjava2:rxjava:2.0.6",
            "rxandroid"                    : "io.reactivex.rxjava2:rxandroid:2.0.1",

            "utilcode"                     : "com.blankj:utilcode:1.30.5",
            "BaseRecyclerViewAdapterHelper": "com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.34",
            "butterknife"                  : "com.jakewharton:butterknife:8.7.0",
            "butterknife-compiler"         : "com.jakewharton:butterknife-compiler:8.7.0",
            "YzsBaseActivity"              : "com.github.yaozs:YzsBaseActivity:0.5.2",
            "glide"                        : "com.github.bumptech.glide:glide:4.7.1",
            "glide:compiler"               : "com.github.bumptech.glide:compiler:4.7.1",
            "glide:okhttp3-integration"    : "com.github.bumptech.glide:okhttp3-integration:4.7.1",

            "leakcanary-debug"             : "com.squareup.leakcanary:leakcanary-android:1.5.4",
            "leakcanary-release"           : "com.squareup.leakcanary:leakcanary-android-no-op:1.5.4",
            "zxing-library"                : "cn.yipianfengye.android:zxing-library:2.2",
            "easypermissions"              : "pub.devrel:easypermissions:1.2.0",
            "switchbutton"                 : "com.kyleduo.switchbutton:library:2.0.0",
            "nice-spinner"                 : "com.github.arcadefire:nice-spinner:1.3.4",
            "gson"                         : "com.google.code.gson:gson:2.8.5",
            "tablayout"                    : "com.flyco.tablayout:FlycoTabLayout_Lib:2.1.2@aar",
            "fragmentation"                : "me.yokeyword:fragmentationx:1.0.1",
            "logger"                       : "com.orhanobut:logger:2.1.1",
            "barlibrary"                   : "com.gyf.barlibrary:barlibrary:2.3.0",
            "wechat-sdk"                   : "com.tencent.mm.opensdk:wechat-sdk-android-with-mta:+",
            "circleimageview"              : "de.hdodenhof:circleimageview:2.2.0",
            "multidex"                     : "com.android.support:multidex:1.0.3",
            "SwipeDelMenuLayout"           : "com.github.mcxtzhang:SwipeDelMenuLayout:V1.3.0",
            "cardview"                     : "com.android.support:cardview-v7:28.+",
            "jpush"                        : "cn.jiguang.sdk:jpush:3.1.5",
            "jcore"                        : "cn.jiguang.sdk:jcore:1.2.3",
            "recyclerview-divider"         : "com.yqritc:recyclerview-flexibledivider:1.4.0",
            "lottie"                       : "com.airbnb.android:lottie:1.5.3",
            "bugly"                        : "com.tencent.bugly:crashreport:latest.release",
            "youth_banner"                 : "com.youth.banner:banner:1.4.10",
            "takephoto"                    : "com.jph.takephoto:takephoto_library:4.0.3",
            "photo"                        : "com.bm.photoview:library:1.4.1",
    ]

}